unit Main;

interface

uses
  Classes, Controls, Graphics, Forms, Buttons, StdCtrls, ExtCtrls, ComCtrls,
  LCDScreen, LCDAnimatorEditor;

type
  TForm1 = class(TForm)
    LCDScreen1: TLCDScreen;
    CycleLCDAnimator: TLCDAnimator;
    WaveLCDAnimator: TLCDAnimator;
    FlashLCDAnimator: TLCDAnimator;
    GravityLCDAnimator: TLCDAnimator;
    PanelInfoLCDAnimator: TLCDAnimator;
    ScrollLCDAnimator: TLCDAnimator;
    Animation: TGroupBox;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton1: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton10: TSpeedButton;
    SpeedButton11: TSpeedButton;
    SpeedButton12: TSpeedButton;
    SpeedButton13: TSpeedButton;
    SpeedButton14: TSpeedButton;
    SpeedButton15: TSpeedButton;
    SpeedButton16: TSpeedButton;
    SpeedButton17: TSpeedButton;
    CycleSpeedButton: TSpeedButton;
    FlashSpeedButton: TSpeedButton;
    SpeedButton22: TSpeedButton;
    SpeedButton20: TSpeedButton;
    InfoSpeedButton: TSpeedButton;
    Look: TGroupBox;
    Label7: TLabel;
    Label2: TLabel;
    Label10: TLabel;
    TrackBar1: TTrackBar;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label8: TLabel;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    ComboBox3: TComboBox;
    ComboBox4: TComboBox;
    Label1: TLabel;
    LCDAnimator1: TLCDAnimator;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure ComboBox3Change(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure SpeedButton15Click(Sender: TObject);
    procedure SpeedButton14Click(Sender: TObject);
    procedure SpeedButton13Click(Sender: TObject);
    procedure SpeedButton17Click(Sender: TObject);
    procedure SpeedButton16Click(Sender: TObject);
    procedure SpeedButton12Click(Sender: TObject);
    procedure SpeedButton8Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure SpeedButton11Click(Sender: TObject);
    procedure SpeedButton10Click(Sender: TObject);
    procedure SpeedButton9Click(Sender: TObject);
    procedure ComboBox4Change(Sender: TObject);
    procedure CyclingClick(Sender: TObject);
    procedure WavingClick(Sender: TObject);
    procedure FlashingClick(Sender: TObject);
    procedure GravityClick(Sender: TObject);
    procedure PanelInfoClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

const
  FPixSize:  array[1..7] of TPixelSize  = (pix1x1, pix2x2, pix3x3, pix4x4, pix5x5,
                                           pix6x6, pix7x7);
  FDotMat:   array[1..7] of TDotMatrix  = (mat5x7, mat5x8, mat7x9, mat9x12, Hitachi,
                                           Hitachi2, dos5x7);
  FPixShape: array[1..3] of TPixelShape = (psSquare, psShaped, psRound);

implementation

{$R *.DFM}

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  if LCDScreen1.AnimationDelay <> 1
  then LCDScreen1.AnimationDelay := LCDScreen1.AnimationDelay - 50;

end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  LCDScreen1.AnimationDelay := LCDScreen1.AnimationDelay + 50;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  if LCDScreen1.AnimationEnabled = False
  then begin
         SpeedButton3.Caption := 'STOP';
         SpeedButton3.Font.Color := clRed;
         LCDScreen1.AnimationEnabled := True;
         end
  else begin
         SpeedButton3.Caption := 'GO!';
         SpeedButton3.Font.Color := clLime;
         LCDScreen1.AnimationEnabled := False;
         end;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
  Combobox2.ItemIndex := 0;
  ComboBox3.ItemIndex := 2;
  ComboBox4.ItemIndex := 0;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  LCDScreen1.PixelSize := FPixSize[ComboBox1.ItemIndex + 1];
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
  LCDScreen1.DotMatrix := FDotMat[ComboBox2.ItemIndex + 1];
end;

procedure TForm1.ComboBox4Change(Sender: TObject);
begin
  LCDScreen1.PixelShape := FPixShape[ComboBox4.ItemIndex + 1];
end;

procedure TForm1.ComboBox3Change(Sender: TObject);
begin
  case ComboBox3.ItemIndex of
       0 : begin  {Blue}
             LCDScreen1.PixelOff := clNavy;
             LCDScreen1.PixelOn  := clAqua;
             LCDScreen1.Color    := clBlack;
             end;
       1 : begin  {Gray}
             LCDScreen1.PixelOff := $00AAAAAA;
             LCDScreen1.PixelOn  := clBlack;
             LCDScreen1.Color    := clSilver
             end;
       2 : begin {Green}
             LCDScreen1.PixelOff := clGreen;
             LCDScreen1.PixelOn  := clLime;
             LCDScreen1.Color    := clBlack;
             end;
       3 : begin {Pink}
             LCDScreen1.PixelOff := clPurple;
             LCDScreen1.PixelOn  := clFuchsia;
             LCDScreen1.Color    := clBlack;
             end;
       4 : begin {Red}
             LCDScreen1.PixelOff := clMaroon;
             LCDScreen1.PixelOn  := clRed;
             LCDScreen1.Color    := clBlack;
             end;
       5 : begin {Yellow}
             LCDScreen1.PixelOff := clOlive;
             LCDScreen1.PixelOn  := clYellow;
             LCDScreen1.Color    := clBlack;
             end;
   end;

end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  LCDScreen1.Intensity := - TrackBar1.Position;
end;

procedure TForm1.SpeedButton15Click(Sender: TObject);
begin
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[HorzScroll(1); ]');
  LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton14Click(Sender: TObject);
begin
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[HorzScroll(2); ]');
  LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton13Click(Sender: TObject);
begin
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[HorzScroll(4); ]');
  LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton17Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[HorzScroll(-1); ]');   LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton16Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[HorzScroll(-2); ]');  LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton12Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[HorzScroll(-4); ]');  LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton8Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[VertScroll(-1); ]');   LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[VertScroll(-2); ]');   LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[VertScroll(-4); ]');  LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton11Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[VertScroll(1); ]');   LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton10Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[VertScroll(2); ]');      LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.SpeedButton9Click(Sender: TObject);
begin
  
  ScrollLcdAnimator.Code.Clear;
  ScrollLcdAnimator.Code.Add('[VertScroll(4); ]');   LCDScreen1.LCDAnimator := ScrollLCDAnimator;
end;

procedure TForm1.CyclingClick(Sender: TObject);
begin
  LCDScreen1.Reset(rmDisplayAndCode);
  LCDScreen1.LCDAnimator := CycleLCDAnimator;
end;

procedure TForm1.WavingClick(Sender: TObject);
begin
  LCDScreen1.Reset(rmDisplayAndCode);
  LCDScreen1.LCDAnimator := WaveLCDAnimator;
end;

procedure TForm1.FlashingClick(Sender: TObject);
begin
  LCDScreen1.LCDAnimator := FlashLCDAnimator;
  LCDScreen1.Reset(rmCode);
end;

procedure TForm1.GravityClick(Sender: TObject);
begin
  LCDScreen1.LCDAnimator := GravityLCDAnimator;
  LCDScreen1.Reset(rmDisplayAndCode);
end;

procedure TForm1.PanelInfoClick(Sender: TObject);
begin
  LCDScreen1.LCDAnimator := PanelInfoLCDAnimator;
  LCDScreen1.Reset(rmCode);
end;


end.
